WHO-PERMITS-UPLOAD.FR(1)

NOM
who-permits-upload - Rechercher dans les listes de contrôle d’accès de mainteneurs Debian

SYNOPSIS
who-permits-upload [-h] [-s trousseau] [-d url_dm] [-s type_de_recherche] requête [requête ...]

DESCRIPTION
who-permits-upload recherche les droits d’envoi du mainteneur Debian (DM) donné sur ftp-master.debian.org et les analyse de façon lisible. L’outil permet de rechercher par nom de DM, parrain (la personne ayant octroyé les droits) et par paquet.

OPTIONS

--dmfile=url_dm, -d url_dm
    Récupérer le fichier de droits de DM depuis l’URL fournie. Quand cette option n’est pas présente, la valeur par défaut https://ftp-master.debian.org/dm.txt est utilisée.

--help, -h
    Afficher une description de l’utilisation et quitter.

--keyring=trousseau, -s trousseau
    Utiliser les trousseaux OpenPGP fournis pour rechercher les empreintes OpenPGP du fichier de droits de DM. En leur absence, les trousseaux de développeurs et mainteneurs Debian par défaut sont utilisés (/usr/share/keyrings/debian-keyring.gpg et /usr/share/keyrings/debian-maintainers.gpg, installés par le paquet debian-keyring).

    Séparez les trousseaux par un deux-points ":".

--search=type_de_recherche, -s type_de_recherche
    Modifier le comportement de recherche. Cela influence l’interprétation du paramètre requête. Les types de recherche possibles sont :

    package
        Rechercher un nom de paquet source. C’est aussi le comportement par défaut quand --search est omis. Puisque les noms de paquets sont uniques, cela renverra les listes de contrôle d’accès – s’il y en a – pour un seul paquet.

    uid Rechercher un mainteneur Debian. Cela devrait être un(e partie de) nom. Cela renverra toutes les listes de contrôle d’accès associées aux mainteneurs correspondants.

    sponsor
        Rechercher un parrain (c’est-à-dire un développeur Debian) qui a octroyé des droits de DM. Cela renverra toutes les listes de contrôle d’accès données par le développeur indiqué.

        Remarquez qu’il s’agit d’une opération coûteuse qui pourrait prendre un peu de temps.

requête
    Un paramètre sensible à la casse à rechercher dans le fichier de droits de liste de contrôle d’accès. L’interprétation exacte de ce paramètre dépend du paramètre de --search.

    Ce paramètre peut être répété.

VALEUR DE RETOUR

0   Réussite

1   Une erreur s’est produite

2   La ligne de commande n’a pas été comprise

EXEMPLES

who-permits-upload --search=sponsor arno@debian.org
    Rechercher tous les droits de DM donnés par l’identifiant utilisateur "arno@debian.org". Remarquez que seuls les identifiants utilisateur primaires correspondront.

who-permits-upload -s=sponsor "Arno Töll"
    Comme précédemment, mais en utilisant un nom complet à la place.

who-permits-upload apache2
    Rechercher qui a donné les droits d’envoi pour le paquet source apache2.

who-permits-upload --search=uid "Paul Tagliamonte"
    Rechercher tous les droits d’envoi de DM donnés à "Paul Tagliamonte".

AUTEUR
who-permits-upload a été écrit par Arno Töll <arno@debian.org> et est distribué sous licence publique générale (GPL), version 2 ou ultérieure.

VOIR AUSSI
gpg(1), who-uploads(1)

https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2024